summaryrefslogtreecommitdiffstats
path: root/source3
diff options
context:
space:
mode:
authorGarming Sam <garming@catalyst.net.nz>2013-12-02 13:20:39 +1300
committerStefan Metzmacher <metze@samba.org>2013-12-23 09:18:15 +0100
commit48820b95285f7dffd827143ba56f432f3e283a6f (patch)
tree2ee1e1f562c47b3c380042dde29826c3c14f34ec /source3
parent2fae806550f3355298541a344b217bf810bf92e4 (diff)
downloadsamba-48820b95285f7dffd827143ba56f432f3e283a6f.tar.gz
samba-48820b95285f7dffd827143ba56f432f3e283a6f.tar.xz
samba-48820b95285f7dffd827143ba56f432f3e283a6f.zip
selftest: add new credential change test
Signed-off-by: Garming Sam <garming@catalyst.net.nz> Reviewed-by: Stefan Metzmacher <metze@samba.org> Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'source3')
-rwxr-xr-xsource3/script/tests/test_net_cred_change.sh16
-rwxr-xr-xsource3/selftest/tests.py3
2 files changed, 19 insertions, 0 deletions
diff --git a/source3/script/tests/test_net_cred_change.sh b/source3/script/tests/test_net_cred_change.sh
new file mode 100755
index 00000000000..9013d079d33
--- /dev/null
+++ b/source3/script/tests/test_net_cred_change.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_net_cred_change.sh CONFIGURATION
+EOF
+exit 1;
+fi
+
+incdir=`dirname $0`/../../../testprogs/blackbox
+. $incdir/subunit.sh
+testit "first change" $VALGRIND $BINDIR/wbinfo -c || failed =`expr $failed + 1`
+testit "first join" $VALGRIND $BINDIR/net rpc testjoin $@ || failed =`expr $failed + 1`
+testit "second change" $VALGRIND $BINDIR/wbinfo -c || failed =`expr $failed + 1`
+
+testok $0 $failed
diff --git a/source3/selftest/tests.py b/source3/selftest/tests.py
index d9d2f911668..254e9428b45 100755
--- a/source3/selftest/tests.py
+++ b/source3/selftest/tests.py
@@ -167,6 +167,9 @@ for env in ["s3dc", "member", "s3member"]:
plantestsuite("samba3.ntlm_auth.(%s:local)" % env, "%s:local" % env, [os.path.join(samba3srcdir, "script/tests/test_ntlm_auth_s3.sh"), valgrindify(python), samba3srcdir, ntlm_auth3, '$DOMAIN', '$DC_USERNAME', '$DC_PASSWORD', configuration])
+for env in ["member", "s3member"]:
+ plantestsuite("samba3.blackbox.net_cred_change.(%s:local)" % env, "%s:local" % env, [os.path.join(samba3srcdir, "script/tests/test_net_cred_change.sh"), configuration])
+
env = "s3member"
t = "--krb5auth=$DOMAIN\\\\$DC_USERNAME%$DC_PASSWORD"
plantestsuite("samba3.wbinfo_s3.(%s:local).%s" % (env, t), "%s:local" % env, [os.path.join(samba3srcdir, "script/tests/test_wbinfo_s3.sh"), t])